Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.wrap
Class LiteralContentFilterAppender

    java.lang.Object
      com.servingxml.components.content.AbstractContent
          com.servingxml.components.wrap.LiteralContentFilterAppender

All Implemented Interfaces:
  Content, Stringable

    public class LiteralContentFilterAppender

extends AbstractContent
implements Content

Implements a factory class for creating literal content

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`LiteralContentFilterAppender(QnameContext nameContext, NameSubstitutionExpr nameResolver, org.xml.sax.helpers.AttributesImpl attributes, Stringable stringFactory, com.servingxml.components.wrap.ElementAttributeFactory[] attributeFactories, Content[] xmlComponents)`

Method Summary
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`
`org.xml.sax.XMLReader` | `createXmlReader(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.content.AbstractContent
`createDefaultOutputProperties, createString, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Constructor Detail

### LiteralContentFilterAppender

    public LiteralContentFilterAppender(QnameContext nameContext,
                                        NameSubstitutionExpr nameResolver,
                                        org.xml.sax.helpers.AttributesImpl attributes,
                                        Stringable stringFactory,
                                        com.servingxml.components.wrap.ElementAttributeFactory[] attributeFactories,
                                        Content[] xmlComponents)

Method Detail

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### createXmlPipeline

    public XmlPipeline createXmlPipeline(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createXmlPipeline` in interface `Content`

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader(ServiceContext context,
                                                 Flow flow)

### createSaxSource

    public SaxSource createSaxSource(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSaxSource` in interface `Content`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD